Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.higgins.ics.gwt.icm.client.panel.category.dnd
Class TableDragController

    java.lang.Object
      com.allen_sauer.gwt.dnd.client.AbstractDragController
          com.allen_sauer.gwt.dnd.client.PickupDragController
              org.eclipse.higgins.ics.gwt.icm.client.panel.category.dnd.TableDragController

All Implemented Interfaces:
  com.allen_sauer.gwt.dnd.client.DragController, com.allen_sauer.gwt.dnd.client.FiresDragEvents

public class TableDragController
extends com.allen_sauer.gwt.dnd.client.PickupDragController

Author:
  Alexander Yuhimenko

Constructor Summary
`TableDragController(com.google.gwt.user.client.ui.AbsolutePanel boundaryPanel)`

Method Summary
`void` | `dragEnd()`
`void` | `dragStart()`
`void` | `setBehaviorDragProxy(boolean dragProxyEnabled)`

Methods inherited from class com.allen_sauer.gwt.dnd.client.PickupDragController
`dragMove, getBehaviorBoundaryPanelDrop, getBehaviorDragProxy, isDragProxyEnabled, previewDragEnd, registerDropController, resetCache, setBehaviorBoundaryPanelDrop, setDragProxyEnabled, unregisterDropController`

Methods inherited from class com.allen_sauer.gwt.dnd.client.AbstractDragController
`addDragHandler, clearSelection, dragEnd, dragStart, getBehaviorConstrainedToBoundaryPanel, getBehaviorDragStartSensitivity, getBehaviorMultipleSelection, getBoundaryPanel, getDropControllerCollection, getIntersectDropController, getIntersectDropController, getMovableWidget, makeDraggable, makeDraggable, makeNotDraggable, notifyDragEnd, previewDragEnd, previewDragStart, previewDragStart, removeDragHandler, setBehaviorConstrainedToBoundaryPanel, setBehaviorDragStartSensitivity, setBehaviorMultipleSelection, setConstrainWidgetToBoundaryPanel, toggleSelection`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TableDragController

    public TableDragController(com.google.gwt.user.client.ui.AbsolutePanel boundaryPanel)

Method Detail

### dragStart

    public void dragStart()

### dragEnd

    public void dragEnd()

### setBehaviorDragProxy

    public void setBehaviorDragProxy(boolean dragProxyEnabled)

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD